Subject: Multiple def of .idata$2 compiling with tcl/tk
From: [email-masked] (Colin Peters)

7 Nov 1996 19:16:37 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-CC: [email-masked]
In-reply-to: Kasian Franks's message of Thu, 7 Nov 1996 11:16:04 -0800 <199611071916.LAA19200@maui>
Original-Sender: [email-masked]

> From: [email-masked] (Kasian Franks)
> Date: Thu, 7 Nov 1996 11:16:04 -0800
> 
> I keep getting this error:
> 
> /usr/bin/ld.exe: /usr/lib/libtcl76.a(TCL76.DLL): warning: \
> ignoring duplicate section `.text'
> /usr/lib/libtk4.2a(TK42.DLL)(.idata$2+0x0): multiple definition of \
> `.idata$2'
> 
> 
> As you can see Im trying to compile with the tcl/tk libs:
> 
> gcc -o hello.exe hello -ltcl76 -ltk42
> 
> The program compiles fine under msvc++, with the exception of 
> a "string to big" error which I cant figure out how to solve,
> which is why I'd like a more simply intuitive compiler package.
> 
> All the libraries have been tested by SunLabs, and hopefully
> havent been corrupted somehow.
> 
> side note: If you know how to fix the "string to big" error in
> vc++ let me know - thanks

I have to admit that this is beyond me. I dug around in a test executable I
made with objdump and nm and basically found .idata$2 three times, apparently
related to the symbols __head__..._libuser32_a and such (constructed from the
full path of the original import libraries it seems). Nm reported each
..idata$2 as type '?', which is not mentioned in the nm documentation I have.

That exhausts my knowledge of what is going on here. I am not particularly
familiar with this kind of thing, so maybe someone on the gnu-win32 mailing
list can help (I have forwarded this to the list).

Sorry I can't be more help.

Colin.

------------------------------------------------------------------------------
Colin Peters ------------ Saga Univ. Dept. of Information Science, Saga, JAPAN
http://www.fu.is.saga-u.ac.jp/~colin/home.html - [email-masked]
コリン・ピーターズ  佐賀大学情報科学科情報基礎講座
一番好きな漢字は「晴れ」と「芝生」です。:)
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".